## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iGeneralMeshState Struct Reference
[Mesh plugins, Mesh plugins]

This interface describes the API for the general mesh object. More...

`#include <imesh/genmesh.h>`

Inheritance diagram for iGeneralMeshState:

[legend]
List of all members.

## Public Member Functions

virtual iGenMeshAnimationControl * | GetAnimationControl () const =0
| Get the current animation control for this object.
virtual void | SetAnimationControl (iGenMeshAnimationControl *anim_ctrl)=0
| Set the animation control to use for this mesh object.

## Detailed Description

This interface describes the API for the general mesh object.

Main creators of instances implementing this interface:

- Genmesh mesh object plugin (crystalspace.mesh.object.genmesh)
- iMeshObjectFactory::NewInstance()

Main ways to get pointers to this interface:

- scfQueryInterface() on iMeshWrapper::GetMeshObject()

Main users of this interface:

- Genmesh Loader plugin (crystalspace.mesh.loader.genmesh)

Definition at line 163 of file genmesh.h.

## Member Function Documentation

virtual iGenMeshAnimationControl* iGeneralMeshState::GetAnimationControl | ( |  | ) | const`[pure virtual]`

| Get the current animation control for this object.

virtual void iGeneralMeshState::SetAnimationControl | ( | iGenMeshAnimationControl * | anim_ctrl | ) | `[pure virtual]`

| Set the animation control to use for this mesh object. See iGenMeshAnimationControl for more information.

The documentation for this struct was generated from the following file:

- imesh/genmesh.h